Skip to main content

Reference architecture

Trust Infrastructure Stack

How applications, intelligence services, PTI core contracts, and source data compose into portable trust infrastructure.

Informative RFC-001

This page is an informative stack view. Normative requirements are in RFC-001 Architecture and Specification v1.0.

Diagram 1: Trust infrastructure stack​

LayerRole
ApplicationsDecision workflows, underwriting, hiring, tenancy, merchant onboarding
Trust intelligenceContext scores, graph traversal, identity resolution, explainability
PTI layerNormative events, contexts, exchange rules, consent and audit
Data sourcesRaw activity from partners, registries, credentials, and verifications

Diagram 2: Traditional vs PTI model​

ModelCharacteristic
TraditionalTrust accumulates inside one institution; portability is manual and lossy
PTITrust profile persists across ecosystems with context isolation and provenance

Component map​

Stack elementPTI document
Trust eventsTrust events · RFC-003
Trust contextsTrust contexts · RFC-002
Trust exchangeTrust exchange · RFC-006
Trust graphTrust graph · RFC-005
Trust resolutionTrust resolution · RFC-011
Lookup APITrust APIs · RFC-004
GovernanceRFC-007 · Specification governance

Trust flow (end-to-end)​

See Trust flow for step-by-step detail.